## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEntityLoader Struct Reference

This interface allows one to access the celentity addon with an easier interface. More...

`#include <tools/entityloader.h>`

List of all members.

## Public Member Functions

virtual iCelEntity * | Load (const char *path, const char *file, iMeshWrapper *mesh=0)=0
| Conveniance function to load the entity from a vfs file.
virtual iCelEntity * | Load (iDocumentNode *node, iMeshWrapper *mesh=0)=0
| Load the entity from the document node.

## Detailed Description

This interface allows one to access the celentity addon with an easier interface.

With this addon you can load entities with assocated behaviour and property classes from an XML description file.

Definition at line 38 of file entityloader.h.

## Member Function Documentation

virtual iCelEntity* iEntityLoader::Load | ( | const char * | path,
|  | const char * | file,
|  | iMeshWrapper * | mesh = `0` |
| ) |  |  | `[pure virtual]`

Conveniance function to load the entity from a vfs file.

Parameters:

  | path | optional VFS path. Can be 0.

virtual iCelEntity* iEntityLoader::Load | ( | iDocumentNode * | node,
|  | iMeshWrapper * | mesh = `0` |
| ) |  |  | `[pure virtual]`

Load the entity from the document node.

If the optional mesh is given then a pcmesh is automatically created. Returns entity or 0 on failure. In case of failure the error has been reported to the reporter.

The documentation for this struct was generated from the following file:

- tools/entityloader.h